Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 17:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
LibreOffice 4.x + language packs (latest: 4.3.2)
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 11 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 9, 10, 11 Next
Author Message
boxR


Joined: 13 Aug 2011
Posts: 247
Location: France

PostPosted: Mon 17 Jun 2013, 15:44    Post_subject:  

Can you copy the text please?
And tell us about this command in terminal too :
Code:
# cat /etc/rc.d/PUPSTATE | grep PUPMODE
Back to top
View user's profile Send_private_message 
vicmz


Joined: 15 Jan 2012
Posts: 1117

PostPosted: Mon 17 Jun 2013, 16:32    Post_subject:  

linuppy wrote:
My screen capture is... black.
Maybe I make some mistake when installing the sfs file.
I click on the package then I read: pupmode=2 is experimental... Click Ok to install. Have I to use "Sfs on the fly" to install? Rolling Eyes
Thanks


I have tried Screeny and can capture the terminal, see the example fixmenus below. Now for a terminal application that enables to select and copy the text, you can install ROXTerm:

http://www1.datafilehost.com/d/7cdf8c19

SFS Load is OK for installing at once. You can also use BootManager but you have to reboot to get the SFS installed.
capture29881.png
 Description   
 Filesize   4.14 KB
 Viewed   1381 Time(s)

capture29881.png

capture26223.png
 Description   
 Filesize   190.38 KB
 Viewed   1289 Time(s)

capture26223.png


_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send_private_message 
linuppy

Joined: 14 Jun 2013
Posts: 6
Location: Italy

PostPosted: Tue 18 Jun 2013, 05:43    Post_subject:  

Uninstalled Libreoffice 4.0.2
Installed 4.0.3 via SFS Load. All went apparently fine but now I can't even get the splash screen.

Attached file for PUPMODE
[/img]
capture6791.png
 Description   
 Filesize   5.32 KB
 Viewed   1396 Time(s)

capture6791.png

Back to top
View user's profile Send_private_message 
linuppy

Joined: 14 Jun 2013
Posts: 6
Location: Italy

PostPosted: Wed 19 Jun 2013, 06:32    Post_subject:  

Update.
Installed Libreoffice 4.0.3 on another PC.
I had two message: one before installation (capture10267) and one after installation (capture5708).
Any help appreciated. Thanks
capture5708.png
 Description   
 Filesize   10.17 KB
 Viewed   1356 Time(s)

capture5708.png

capture10267.png
 Description   
 Filesize   10.51 KB
 Viewed   1344 Time(s)

capture10267.png

Back to top
View user's profile Send_private_message 
boxR


Joined: 13 Aug 2011
Posts: 247
Location: France

PostPosted: Wed 19 Jun 2013, 09:31    Post_subject:  

linuppy wrote:
PUPMODE=2

    PUPMODE 02 : full install
    PUPMODE 03 : full install, flash drive
    PUPMODE 05 : first boot [or pfix=ram]
    PUPMODE 06 : pup_save is a partition
    PUPMODE 07 : ditto, but flash drive
    PUPMODE 12 : normal running puppy
    PUPMODE 13 : ditto, but flash drive
    PUPMODE 77 : multisession cd/dvd [13+64]

You have full install on HDD. It isn't a problem, but in this case I suggest to you to use
LibreOffice 4.0.3 (PET, 187 MB)
Back to top
View user's profile Send_private_message 
vicmz


Joined: 15 Jan 2012
Posts: 1117

PostPosted: Wed 19 Jun 2013, 16:12    Post_subject:  

boxR wrote:
linuppy wrote:
PUPMODE=2

    PUPMODE 02 : full install
    PUPMODE 03 : full install, flash drive
    PUPMODE 05 : first boot [or pfix=ram]
    PUPMODE 06 : pup_save is a partition
    PUPMODE 07 : ditto, but flash drive
    PUPMODE 12 : normal running puppy
    PUPMODE 13 : ditto, but flash drive
    PUPMODE 77 : multisession cd/dvd [13+64]

You have full install on HDD. It isn't a problem, but in this case I suggest to you to use
LibreOffice 4.0.3 (PET, 187 MB)


Another solution, in case this doesn't work, is making a frugal install by Frugal Installer ↓ (see also its forum thread), and LibreOffice should work fine, either as an SFS file or as a PET file. Frugal install to an NTFS partition is the most used install mode and even allows to have more than one Puppy version installed. You don't need to have MS W installed, in fact all of the operative systems in my computer are Puppy Linux official builds and derivatives.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send_private_message 
linuppy

Joined: 14 Jun 2013
Posts: 6
Location: Italy

PostPosted: Fri 21 Jun 2013, 02:34    Post_subject:  

Thanks vicmz and boxR.
I'll try.
Back to top
View user's profile Send_private_message 
ashishj87

Joined: 13 Jul 2013
Posts: 1

PostPosted: Sat 13 Jul 2013, 13:20    Post_subject: Libreoffice Crash  

Hi
I am on Precise Puppy 5.6.1
My PUPMODE=2

Installation of Libreoffice 4.0.3 pet was successful.
When I type libreoffice in terminal, the application shows up. After a minute the program disappears/crashes.

This is the terminal ouput:

Code:
sh-3.00# libreoffice
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
*** glibc detected *** /opt/libreoffice4.0/program/soffice.bin: invalid fastbin entry (free): 0x0871d1c0 ***
sh-3.00#


Edit: Installed JRE too. Did not help. Also tried SFS install.

Can you please help me?

Regards
Back to top
View user's profile Send_private_message 
boxR


Joined: 13 Aug 2011
Posts: 247
Location: France

PostPosted: Sat 13 Jul 2013, 15:51    Post_subject:  

Try to delete this configuration file :
    /root/.config/libreoffice/4/user/config/javasettings_Linux_x86.xml
Back to top
View user's profile Send_private_message 
vicmz


Joined: 15 Jan 2012
Posts: 1117

PostPosted: Sun 08 Sep 2013, 23:57    Post_subject:  

Arrow Added LibreOffice 4.1 from the Slacko repository, probed to work in Precise, too. Suitable langpacks are available at the end of the first post.
_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send_private_message 
koulaxizis


Joined: 17 Jul 2011
Posts: 428
Location: Greece

PostPosted: Mon 09 Sep 2013, 12:18    Post_subject:  

vicmz wrote:
Arrow Added LibreOffice 4.1 from the Slacko repository, probed to work in Precise, too. Suitable langpacks are available at the end of the first post.


Downloading now... Thanks!!

_________________
Christos Koulaxizis
Woof woof from Greece...

[ Puppy packages | Puppy search ]
Back to top
View user's profile Send_private_message Visit_website 
boxR


Joined: 13 Aug 2011
Posts: 247
Location: France

PostPosted: Sat 21 Sep 2013, 15:05    Post_subject:  

LibreOffice 4.0.5 is now available on the ASRI forum :
Back to top
View user's profile Send_private_message 
vicmz


Joined: 15 Jan 2012
Posts: 1117

PostPosted: Mon 30 Sep 2013, 14:13    Post_subject:  

First post updated, thanks BoxR.
_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send_private_message 
vicmz


Joined: 15 Jan 2012
Posts: 1117

PostPosted: Sun 06 Oct 2013, 22:58    Post_subject:  

Now available: LibreOffice 4.1.2 SFS (see first post or click here). The 'es' in the file name means it includes support for Spanish language, however you can use it in English or install a langpack from the first post to use it in another language. The interface will set itself to the system language.
_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send_private_message 
Puppus Dogfellow


Joined: 07 Jan 2013
Posts: 612
Location: nyc

PostPosted: Sun 13 Oct 2013, 17:29    Post_subject: LO 4.1.2.3.pet  

https://docs.google.com/file/d/0ByUDhE3nQF8uVWE2RklBLXBvSG8/edit?usp=sharing


^that should be a working link to a pet package of LibreOffice 4.1.2.3., should anybody care to try it.

sfs version works well for me in precise 5.5, 5.6.1(x2), and 5.7-unto 5.7.1.

never had a problem with any of the previous versions i've converted to .pet from .sfs and have sometimes found they install a little more cleanly, especially if there's been frequent upgrading/changing/removing of office suite files...

(if the link doesn't work, i can dropbox or adrive it.)
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 11 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 9, 10, 11 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0840s ][ Queries: 13 (0.0097s) ][ GZIP on ]